summaryrefslogtreecommitdiffstats
path: root/system-build/share/hooks/normal/0140-remove-log-files.hook.chroot
diff options
context:
space:
mode:
Diffstat (limited to 'system-build/share/hooks/normal/0140-remove-log-files.hook.chroot')
-rwxr-xr-xsystem-build/share/hooks/normal/0140-remove-log-files.hook.chroot9
1 files changed, 9 insertions, 0 deletions
diff --git a/system-build/share/hooks/normal/0140-remove-log-files.hook.chroot b/system-build/share/hooks/normal/0140-remove-log-files.hook.chroot
new file mode 100755
index 0000000..f95e546
--- /dev/null
+++ b/system-build/share/hooks/normal/0140-remove-log-files.hook.chroot
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+set -e
+
+# Truncate log files
+for _FILE in $(find /var/log/ -type f)
+do
+ : > ${_FILE}
+done